### Interface

# GtkAppChooser

deprecated: 4.10

#### Description [src]

    interface Gtk.AppChooser : Gtk.Widget

`GtkAppChooser` is an interface for widgets which allow the user to choose an application.

The main objects that implement this interface are `GtkAppChooserWidget`, `GtkAppChooserDialog` and `GtkAppChooserButton`.

Applications are represented by GIO `GAppInfo` objects here. GIO has a concept of recommended and fallback applications for a given content type. Recommended applications are those that claim to handle the content type itself, while fallback also includes applications that handle a more generic content type. GIO also knows the default and last-used application for a given content type. The `GtkAppChooserWidget` provides detailed control over whether the shown list of applications should include default, recommended or fallback applications.

To obtain the application that has been selected in a `GtkAppChooser`, use `gtk_app_chooser_get_app_info()`.

Deprecated since: 4.10

The application selection widgets should be implemented according to the design of each platform and/or application requiring them.

#### Prerequisite

In order to implement AppChooser, your type must inherit from`GtkWidget`.

#### Implementations

- GtkAppChooserButton
- GtkAppChooserDialog
- GtkAppChooserWidget

#### Instance methods

###### gtk_app_chooser_get_app_info

Returns the currently selected application.

deprecated: 4.10

###### gtk_app_chooser_get_content_type

Returns the content type for which the `GtkAppChooser` shows applications.

deprecated: 4.10

###### gtk_app_chooser_refresh

Reloads the list of applications.

deprecated: 4.10

#### Properties

###### Gtk.AppChooser:content-type

The content type of the `GtkAppChooser` object.